uuid: c85f922d-efc5-420e-8766-023cf13ace44
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.rss
    - field.storage.node.field_author
    - field.storage.node.field_publish_date
    - node.type.new_article
  module:
    - datetime
    - node
    - user
id: news_rss
label: 'News RSS'
module: views
description: ''
tag: ''
base_table: node_field_data
base_field: nid
display:
  default:
    id: default
    display_title: Default
    display_plugin: default
    position: 0
    display_options:
      fields:
        title:
          id: title
          table: node_field_data
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: title
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: false
            ellipsis: false
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
        view_node:
          id: view_node
          table: node
          field: view_node
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          plugin_id: entity_link
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          text: view
          output_url_as_text: true
          absolute: false
        field_author:
          id: field_author
          table: node__field_author
          field: field_author
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
        field_publish_date:
          id: field_publish_date
          table: node__field_publish_date
          field: field_publish_date
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: datetime_custom
          settings:
            timezone_override: ''
            date_format: r
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
        rendered_entity:
          id: rendered_entity
          table: node
          field: rendered_entity
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          plugin_id: rendered_entity
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          view_mode: rss
      pager:
        type: mini
        options:
          offset: 0
          items_per_page: 10
          total_pages: null
          id: 0
          tags:
            next: ››
            previous: ‹‹
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          pagination_heading_level: h4
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: tag
        options: {  }
      empty: {  }
      sorts:
        created:
          id: created
          table: node_field_data
          field: created
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: created
          plugin_id: date
          order: DESC
          expose:
            label: ''
            field_identifier: created
          exposed: false
          granularity: second
      arguments: {  }
      filters:
        status:
          id: status
          table: node_field_data
          field: status
          entity_type: node
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
        type:
          id: type
          table: node_field_data
          field: type
          entity_type: node
          entity_field: type
          plugin_id: bundle
          value:
            new_article: new_article
          expose:
            operator_limit_selection: false
            operator_list: {  }
      style:
        type: default
        options:
          grouping: {  }
          row_class: ''
          default_row_class: true
          uses_fields: false
      row:
        type: fields
        options:
          default_field_elements: true
          inline: {  }
          separator: ''
          hide_empty: false
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_tags: {  }
      relationships: {  }
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url.query_args
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:core.entity_view_display.node.alert.default'
        - 'config:core.entity_view_display.node.alert.teaser'
        - 'config:core.entity_view_display.node.application_deadlines.default'
        - 'config:core.entity_view_display.node.application_deadlines.teaser'
        - 'config:core.entity_view_display.node.blog_post.default'
        - 'config:core.entity_view_display.node.blog_post.featured'
        - 'config:core.entity_view_display.node.blog_post.teaser'
        - 'config:core.entity_view_display.node.board_meeting.default'
        - 'config:core.entity_view_display.node.board_meeting.teaser'
        - 'config:core.entity_view_display.node.campaign_page.default'
        - 'config:core.entity_view_display.node.campaign_page.teaser'
        - 'config:core.entity_view_display.node.career.default'
        - 'config:core.entity_view_display.node.career.explorer_item'
        - 'config:core.entity_view_display.node.career.teaser'
        - 'config:core.entity_view_display.node.class.default'
        - 'config:core.entity_view_display.node.class.table_format'
        - 'config:core.entity_view_display.node.class.teaser'
        - 'config:core.entity_view_display.node.event.column_teaser'
        - 'config:core.entity_view_display.node.event.default'
        - 'config:core.entity_view_display.node.event.featured'
        - 'config:core.entity_view_display.node.event.teaser'
        - 'config:core.entity_view_display.node.gutenberg_page.default'
        - 'config:core.entity_view_display.node.gutenberg_page.teaser'
        - 'config:core.entity_view_display.node.homepage_path.default'
        - 'config:core.entity_view_display.node.homepage_path.teaser'
        - 'config:core.entity_view_display.node.landing_page.default'
        - 'config:core.entity_view_display.node.landing_page.teaser'
        - 'config:core.entity_view_display.node.new_article.column_teaser'
        - 'config:core.entity_view_display.node.new_article.default'
        - 'config:core.entity_view_display.node.new_article.featured'
        - 'config:core.entity_view_display.node.new_article.rss'
        - 'config:core.entity_view_display.node.new_article.teaser'
        - 'config:core.entity_view_display.node.page.default'
        - 'config:core.entity_view_display.node.page.teaser'
        - 'config:core.entity_view_display.node.pathway.card'
        - 'config:core.entity_view_display.node.pathway.default'
        - 'config:core.entity_view_display.node.pathway.large_card'
        - 'config:core.entity_view_display.node.pathway.teaser'
        - 'config:core.entity_view_display.node.program.default'
        - 'config:core.entity_view_display.node.program.pathway_map_node'
        - 'config:core.entity_view_display.node.program.pathway_map_node_simple'
        - 'config:core.entity_view_display.node.program.programs_search_teaser'
        - 'config:core.entity_view_display.node.program.teaser'
        - 'config:core.entity_view_display.node.quote.default'
        - 'config:core.entity_view_display.node.quote.teaser'
        - 'config:core.entity_view_display.node.webform.default'
        - 'config:core.entity_view_display.node.webform.teaser'
        - 'config:field.storage.node.field_author'
        - 'config:field.storage.node.field_publish_date'
  feed_news_rss:
    id: feed_news_rss
    display_title: Feed
    display_plugin: feed
    position: 1
    display_options:
      pager:
        type: some
        options:
          offset: 0
          items_per_page: 10
      row:
        type: rss_fields
        options:
          title_field: title
          link_field: view_node
          description_field: rendered_entity
          creator_field: field_author
          date_field: field_publish_date
          guid_field_options:
            guid_field: view_node
            guid_field_is_permalink: true
      display_extenders: {  }
      path: news/rss.xml
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:core.entity_view_display.node.alert.default'
        - 'config:core.entity_view_display.node.alert.teaser'
        - 'config:core.entity_view_display.node.application_deadlines.default'
        - 'config:core.entity_view_display.node.application_deadlines.teaser'
        - 'config:core.entity_view_display.node.blog_post.default'
        - 'config:core.entity_view_display.node.blog_post.featured'
        - 'config:core.entity_view_display.node.blog_post.teaser'
        - 'config:core.entity_view_display.node.board_meeting.default'
        - 'config:core.entity_view_display.node.board_meeting.teaser'
        - 'config:core.entity_view_display.node.campaign_page.default'
        - 'config:core.entity_view_display.node.campaign_page.teaser'
        - 'config:core.entity_view_display.node.career.default'
        - 'config:core.entity_view_display.node.career.explorer_item'
        - 'config:core.entity_view_display.node.career.teaser'
        - 'config:core.entity_view_display.node.class.default'
        - 'config:core.entity_view_display.node.class.table_format'
        - 'config:core.entity_view_display.node.class.teaser'
        - 'config:core.entity_view_display.node.event.column_teaser'
        - 'config:core.entity_view_display.node.event.default'
        - 'config:core.entity_view_display.node.event.featured'
        - 'config:core.entity_view_display.node.event.teaser'
        - 'config:core.entity_view_display.node.gutenberg_page.default'
        - 'config:core.entity_view_display.node.gutenberg_page.teaser'
        - 'config:core.entity_view_display.node.homepage_path.default'
        - 'config:core.entity_view_display.node.homepage_path.teaser'
        - 'config:core.entity_view_display.node.landing_page.default'
        - 'config:core.entity_view_display.node.landing_page.teaser'
        - 'config:core.entity_view_display.node.new_article.column_teaser'
        - 'config:core.entity_view_display.node.new_article.default'
        - 'config:core.entity_view_display.node.new_article.featured'
        - 'config:core.entity_view_display.node.new_article.rss'
        - 'config:core.entity_view_display.node.new_article.teaser'
        - 'config:core.entity_view_display.node.page.default'
        - 'config:core.entity_view_display.node.page.teaser'
        - 'config:core.entity_view_display.node.pathway.card'
        - 'config:core.entity_view_display.node.pathway.default'
        - 'config:core.entity_view_display.node.pathway.large_card'
        - 'config:core.entity_view_display.node.pathway.teaser'
        - 'config:core.entity_view_display.node.program.default'
        - 'config:core.entity_view_display.node.program.pathway_map_node'
        - 'config:core.entity_view_display.node.program.pathway_map_node_simple'
        - 'config:core.entity_view_display.node.program.programs_search_teaser'
        - 'config:core.entity_view_display.node.program.teaser'
        - 'config:core.entity_view_display.node.quote.default'
        - 'config:core.entity_view_display.node.quote.teaser'
        - 'config:core.entity_view_display.node.webform.default'
        - 'config:core.entity_view_display.node.webform.teaser'
        - 'config:field.storage.node.field_author'
        - 'config:field.storage.node.field_publish_date'
